create_did
PUT
/statements/v1/create/did/{did_key}
const url = 'https://example.com/statements/v1/create/did/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"email":"john.smith@gmail.com","issue_vc":"true","name":"John Smith","timestamp":"2026-05-05T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/statements/v1/create/did/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "email": "john.smith@gmail.com", "issue_vc": "true", "name": "John Smith", "timestamp": "2026-05-05T12:00:00Z" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” did_key
required
string
DID to register, for example did:key:z...
Request Body required
Section titled “Request Body required ” Media type application/json
object
email
required
string
Example
john.smith@gmail.com issue_vc
Set to true to create a verifiable credential for the statement.
boolean
Example
true name
required
string
Example
John Smith timestamp
Optional RFC 3339 timestamp to embed in the DID statement.
string
Example
2026-05-05T12:00:00ZResponses
Section titled “ Responses ”A DID statement for the provided DID already exists, so no new statement was created.
DID statement was stored and indexed successfully.
Invalid request body.
Media type application/json